Subject: bug#51390: 29.0.50; repeat-mode: Fails to repeat keys in global-map(?)

From: Juri Linkov <[email-masked]>
Date: Tue, 16 Nov 2021 22:18:17 +0200

> I think implementing this will actually end up making certain repeat-maps
> tedious to use.  One example that comes to mind is
> `outline-navigation-repeat-map' where it is quite easy to misfire f/b
> when you actually want n/p.  Starting the map again with C-c @ C-n is
> quite tedious.  I hope you reconsider this, or make the current
> behaviour opt-in.

Please clarify how can you misfire f/b when you intended n/p.
What keys does your keymap contain?

> Although triggering repeat-map on error is strange for the scenario in
> OP, I hope the above convinces you regardless.  I only noticed the
> behaviour on error is desirable after I started using the outline functions
> a bit more.

Triggering repeat-map on error is a bug that will be fixed.
But it will be fixed in such a way that the error will exit
the repeating sequence.